<?
/////////////////////////////////////////////////////////////////////////////////
///////		Misoft (2017/2018 c/r www.misoft.store) все права защищены!	 ////////
/////////////////////////////////////////////////////////////////////////////////

if ( $_SERVER['HTTP_X_REQUESTED_WITH'] == 'XMLHttpRequest' ) {
    define( 'ROOT_DIR', $_SERVER['DOCUMENT_ROOT'] );
    session_start(); 
    header( 'Content-type: text/html; charset=windows-1251' );
    include_once ROOT_DIR . '/engine/config.php';
    include_once ROOT_DIR . '/engine/function.php';
} else {
    if ( !defined( 'MISOFT' ) ) { exit(); }
}

$wall_user = mysql_fetch_array( mysql_query( "SELECT * FROM user WHERE id = '" . ( int ) $_GET['id'] . "' LIMIT 1" ) );

if ( $wall_user['id'] == 0 ) {
    echo '<div class="alert alert-info alert-dismissible fade in warring_fix" role="alert">
			<button type="button" class="close" data-dismiss="alert" aria-label="Close">
				<span aria-hidden="true">&times;</span>
			</button>
			<h5 class="alert-heading"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Внимание!</h5>
			<p class="text_size14">Пользователь не найден, скорее всего вы допустили ошибку при вводе его ID в URL</p>
			<p  class="m-b-0">Если это не так, пожалуйста сообщите нам о проблеме! <a class="a_link" href="/support" >support</a>.</p>
		  </div>';
} else
if ( $wall_user['userdel'] == 1 ) {
    ?>
	<div class="content_bar">
		<article class="postBox">
			<div class="wrap_user_del">
				<div class="userdelinfo">
					<img src="/temp/avatar/del.png" class="avatar_user_del"  />
					<div class="юзернейм_стека_удален" ><?=$wall_user['username']?></div><br>
					<div class="alert alert-warning alert-dismissible fade in"><i class="fa fa-exclamation-triangle" aria-hidden="true"></i> Страница пользователя удалена.<br />Информация недоступна.</div>
				</div>
			</div>
		</article>
	</div>
    <?
} else {

$get_all_gift = mysql_query( "SELECT gift, comms, from_user FROM gift WHERE to_user = '" . $wall_user['id'] . "' ORDER BY id DESC" );
if ( mysql_num_rows( $get_all_gift ) > 0 ) {
    while ( $get_all_gift_row = mysql_fetch_array( $get_all_gift ) ) {
        $gift_username = mysql_fetch_array( mysql_query( "SELECT username FROM user WHERE id = '" . $get_all_gift_row['from_user'] . "'" ) );
        if($get_all_gift_row['comms'] == '') {
			 $img_gift .= '<img src="/theme/images/gift/' . $get_all_gift_row['gift'] . '.png" width="48" height="48" title="Подарок от: ' . $gift_username['username'] . '" class="prew_gifts" />';
		} else {
			$img_gift .= '<img src="/theme/images/gift/' . $get_all_gift_row['gift'] . '.png" width="48" height="48" title="Подарок от: ' . $gift_username['username'] . '<br>Комментарий: ' . $get_all_gift_row['comms'] . '" class="prew_gifts" />';
		}
	}
} else {
    $img_gift = "<div class='title_wall_gift'><i class='fa fa-gift' aria-hidden='true'></i> Еще нет ни одного подарка</div>";
}

if ( $wall_user['sex'] == 0 ) {
    $sex = 'заходил';
    $pol_walls = '<img src="/theme/images/male_walls.png" width="24" height="24" alt="" class="walls_pol" />';
} else {
    $sex = 'заходила';
    $pol_walls = '<img src="/theme/images/female_walls.png" width="24" height="24" alt="" class="walls_pol" />';
}

$month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );

$wall_online = mysql_query( "SELECT id FROM online WHERE iduser = '" . $wall_user['id'] . "' LIMIT 1" );

if ( $wall_user['logindate'] == 0 ) {
    $wal_logindate = '<div class="walldate_offline"><i class="fa fa-circle-o" aria-hidden="true"></i> еще не ' . $sex . '</div>';
} else
if ( mysql_num_rows( $wall_online ) ) {
    $wal_logindate = '<div class="walldate_online"><i class="fa fa-circle" aria-hidden="true"></i> Онлайн</div>';
} else
if ( date( 'd.m.Y', $wall_user['logindate'] ) == date( 'd.m.Y', time() ) ) {
    $wal_logindate = '<div class="walldate_offline"><i class="fa fa-circle-o" aria-hidden="true"></i> ' . $sex . ' сегодня в ' . date( 'H:i', $wall_user['logindate'] ) . '</div>';
} else {
    $wal_logindate = '<div class="walldate_offline"><i class="fa fa-circle-o" aria-hidden="true"></i> ' . $sex . ' ' . ( int ) date( 'd', $wall_user['logindate'] ) . ' ' . $month[( int ) date( 'm', $wall_user['logindate'] ) - 1] . ' ' . date( 'Y', $wall_user['logindate'] ) . ' в ' . date( 'H:i', $wall_user['logindate'] ) . '</div>';
}

if ( isset( $_SESSION['iduser'] ) ) {
    if ( $_SESSION['iduser'] != $wall_user['id'] ) {
        $btn_mess_reg = '<div class="кнопкастенки" onclick="msg.showDialog(' . $wall_user['id'] . ', \'' . substr( md5( $message_md5 . $wall_user['id'] ), 0, 22 ) . '\');return false;"><i class="fa fa-envelope-o" aria-hidden="true"></i> Отправить сообщение</div>';
        $btn_figt = '<div class="кнопкастенки" onclick="walls.AddGift(' . $wall_user['id'] . ')"><i class="fa fa-gift" aria-hidden="true"></i> Сделать подарок</div>';
    } else {
        $btn_mess_reg = '';
        $btn_figt = '';
    }

    if ( $config_user['referer'] == 0 and $_SESSION['iduser'] != $wall_user['id'] ) {
        $btn_referer = '<div class="кнопкастенки" onclick="walls.AddReferer(' . $wall_user['id'] . ')"><i class="fa fa-address-card-o" aria-hidden="true"></i> Стать рефералом</div>';
    } else {
        $btn_referer = '';
    }

} else {
	$btn_mess_reg = '';
    $btn_figt = '';
}

$count_ref_walls = mysql_fetch_array( mysql_query( "SELECT referals FROM user WHERE id = '" . $wall_user['id'] . "' LIMIT 1" ) );
$count_ref2_walls = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM user WHERE referer2 = '" . $wall_user['id'] . "'" ) );
$col_walls_mess = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM walls WHERE to_user = '" . $wall_user['id'] . "'" ) );
$col_walls_contests = mysql_fetch_array( mysql_query( "SELECT COUNT(id) as count FROM contests WHERE autor = '" . $wall_user['id'] . "' AND date_end > '" . time() . "'" ) );

?>
<script type="text/javascript">
	$(document).ready(function() {
		$('#searchname').keyup(function() {
			if ( $(this).val() != '' ) {
			$.post('ajax.php?func=searchuser', {
				username: $(this).val()
			}, function(data){
				if (data.ok == 1) {
					$('.wrap_result_user').fadeIn(500);
					$('.wrap_result_user').html('');
					for(var i = 0; i <= data.search.length - 1; i++) {
						$('.wrap_result_user').append(data.search[i].content);
					}
				} else {
					$('.wrap_result_user').fadeIn(500);
					$('.wrap_result_user').html('<div class="search_user_error">... <i class="fa fa-frown-o" aria-hidden="true"></i> Пользователь не найден!</div>');
				}
			}, "json");
			} else {
				$('.wrap_result_user').html('').fadeOut(0);
			}
		});

		$('img.prew_gifts').tipTip({defaultPosition:'right'});
		$('#likes').styler();
		$('.offlineStatus_wall').tipTip({defaultPosition:'right'});
		$('.onlineStatus_wall').tipTip({defaultPosition:'right'});
		$('.лайк').tipTip({defaultPosition:'right'});
		$('.дизлайк').tipTip({defaultPosition:'right'});
		$('#tetle_text_status').tipTip({defaultPosition:'right'});
	});

	function AddFriendWal(e) {
		$.post('ajax.php?func=addfiendwall', {
			id: e
		}, function(data) {
			if (data == 1) {
				box_close();
				Page.Go(window.location.href);
				$('body').Qnotify({text:'Пользователь получил вашу заявку в друзья, дождитесь пока он ее обработает!', sound:'error'});
			} else {
				$('body').Qnotify({text:data, sound:'error'});
			}
		});
	}

	function DelFriendWal(e) {
		$.post('ajax.php?func=delfiendwall', {
			id: e
		}, function(data) {
			if (data == 1) {
				box_close();
				Page.Go(window.location.href);
			} else {
				$('body').Qnotify({text:data, sound:'error'});
			}
		});
	}

	function LikeWalll(e) {
		$.post('ajax.php?func=LikeWalll', {
			id: e
		}, function(data) {
			if (data == 1) {
				Page.Go(window.location.href);
			} 
		});
	}

	function DizlikeWall(e) {
		$.post('ajax.php?func=DizlikeWall', {
			id: e
		}, function(data) {
			if (data == 1) {
				Page.Go(window.location.href);
			} 
		});
	}

	function show_Spoiler1() {
		if ($('#Spoiler1').css('display') == 'none') {
			$('#Spoiler1').fadeIn(500);
			document.getElementById("color_comm_title1").style.color="#0D47A1";
			
		} else {
			$('#Spoiler1').fadeOut(300);
			document.getElementById("color_comm_title1").style.color="#333";
		}
	}

	function show_Spoiler2() {
		if ($('#Spoiler2').css('display') == 'none') {
			$('#Spoiler2').fadeIn(500);
			document.getElementById("color_comm_title2").style.color="#0D47A1";
		} else {
			$('#Spoiler2').fadeOut(300);
			document.getElementById("color_comm_title2").style.color="#333";
		}
	}

	function show_Spoiler3() {
		if ($('#Spoiler3').css('display') == 'none') {
			$('#Spoiler3').fadeIn(500);
			document.getElementById("color_comm_title3").style.color="#0D47A1";
			
		} else {
			$('#Spoiler3').fadeOut(300);
			document.getElementById("color_comm_title3").style.color="#333";
			
		}
	}
</script>

<div class="content_bar content_bar_fix_chain">
	<article class="postBox">
		<?=$wal_logindate?>
		<div class="wrap_search_user" >
			<input type="text" class="searchUser_int" id="searchname" placeholder="введите ник нужного пользователя" />
			<div class="glyphicon glyphicon-search searhIcon" aria-hidden="true"></div>
			<div class="wrap_result_user"></div>
		</div><br />
		<?
        if ( $wall_user['showbirthday'] == 0 and $wall_user['birthday'] != '' ) {
            $mm = explode( '.', $wall_user['birthday'] );
            $znak = zodiak( $mm[0], $mm[1] );
            $imgZodiac = '<img src="/theme/images/zodiac/' . $znak[1] . '.png" class="imgzodiac" width="22" height="22" />';
        } else {
            $imgZodiac = '';
        } 
        ?>
		<div class="WallAvaLeft">
			<img src="/temp/avatar/<?=$wall_user['avatar']?>" class="avatarWall " alt="" />
			<div class="лайки_стенки_стабилизатор">
			  <div class="лайки_стенки">
				<div class="централизатор_лайков2">
					<div class="fa fa-thumbs-o-up лайк" title="Кликните, что бы поставить лайк пользователю" onclick="LikeWalll('<?=$wall_user['id']?>')"> <?=$wall_user['likes']?></div>
					<div class="fa fa-thumbs-o-down дизлайк" title="Кликните, что бы поставить дизлайк пользователю" onclick="DizlikeWall('<?=$wall_user['id']?>')"> <?=$wall_user['dizlikes']?></div>
				</div>
				<div class="централизатор_лайков">
					
					<?=$wall_user['username'];?>
				</div>
			  </div>
			</div>
		</div>
		<div class="ошибка_лайка error_wall" > </div>
		<div class="wall_block_table">
		  <div class="wrap_walls_info">
			<?=$btn_mess_reg?>
			<?=$btn_referer?>
			<?=$btn_figt?>
		  </div>
		  
		  <table class="table table-sm wallTable" style="width: 57.5%;" >
			<tbody>
			  <?
				if ( $wall_user['showbirthday'] == 0 and $wall_user['birthday'] != '' ) {
					$mm = explode( '.', $wall_user['birthday'] );
					$mmm = array( 'января', 'февраля', 'марта', 'апреля', 'мая', 'июня', 'июля', 'августа', 'сентября', 'октября', 'ноября', 'декабря' );
					$user_birthday = ( int ) $mm[0] . ' ' . $mmm[( int ) $mm[1] - 1] . ' ' . $mm[2];
					$znak = zodiak( $mm[0], $mm[1] );
					?>
					<tr>
						<td>День рождения:</td>
						<td><?=$user_birthday?></td>
					</tr>
					<tr>
						<td>Знак зодиака:</td>
						<td><div ><?=$znak[0]?></div></td>
					</tr>
					<?
				}
				?>
				<tr>
					<td>Имя пользователя:</td>
					<td><?=$wall_user['name']?></td>
				</tr>
				<tr>
					<td>Статус пользователя:</td>
					<td><?=status_user( $wall_user['reyting'], $wall_user['account'] )?></td>
				</tr>
				<tr>
					<td>Страна</td>
					<td><img src="/theme/images/flags/<?=$wall_user['city_code']?>.png" class="flagcountry" alt="" /> <?=$wall_user['country']?></td>
				</tr>
				<tr>
					<td>IP</td>
					<td><?=$wall_user['ip']?></td>
				</tr>
				<tr>
					<td>Дата регистрации:</td>
					<td><?=date( 'd.m.Y', $wall_user['regdate'] )?></td>
				</tr>
				<tr>
					<td>Авторефбек:</td>
					<td><?=$wall_user['autoback']?>%</td>
				</tr>
				<tr>
					<td>Рефералы 1-уровня:</td>
					<td><?=$count_ref_walls['referals']?></td>
				</tr>
				<tr>
					<td>Рефералы 2-уровня:</td>
					<td><?=$count_ref2_walls['count']?></td>
				</tr>
				<tr>
					<td>Конкурсы рефералам:</td>
					<td><?=$col_walls_contests['count']?></td>
				</tr>
			  </tbody>
		  </table>
		</div>
		
		<? if($wall_user['text_status_wall'] != '') { ?>
		  <div class="text_status_wall">
		    <i class="fa fa-volume-up" aria-hidden="true" id="tetle_text_status" style="cursor: help;" title="Текстовый статус владельца стены (его комментарий, обращение)."></i> <?=$wall_user['text_status_wall']?>
		  </div>
		<? } ?>
		
		<div onclick="show_Spoiler1();return false" class="WallStat" ><div id="color_comm_title1" class="fa fa-sort SpoilerWall " aria-hidden="true"></div><div class="SpoilerWallText">Статистика</div></div>
		<div class="WallOpenGraphip" id="Spoiler1" >
			<div class="WallStatGraphip">
				<div class="WallStatGraphipContent">
					<?
						include_once ROOT_DIR . '/engine/classes/graphics.class.php';
						echo visit_statistic_wall( $wall_user['id'], 600, 330 );
					?>
				</div>
			</div>
		</div>
		<div onclick="show_Spoiler2();return false" class="WallStat"><div id="color_comm_title2" class="fa fa-sort SpoilerWall" aria-hidden="true"></div><div class="SpoilerWallText">Подарки</div></div>
		<div class="WallOpenGraphip" id="Spoiler2">
			<div class="WallStatGraphip">
				<div class="WallStatGifContent">
					<div class="user_walls_gift">
						<div class="wrap_prew_gifts"><?=$img_gift?></div>
					</div>
				</div>
			</div>
		</div>
		<div onclick="show_Spoiler3();return false" class="WallStat">
			<div id="color_comm_title3" class="fa fa-sort SpoilerWall wall_spoiler_color" aria-hidden="true"></div>
			<div class="SpoilerWallText">Комментарии
				<span id="color_comm" class="WallInfoComm"><?=$col_walls_mess['count']?> <?=getWord( $col_walls_mess['count'], array( 'запись', 'записи', 'записей' ) )?></span>
			</div>
		</div>
		<div  id="Spoiler3">
			<div class="WallStatGraphip">
				<div class="WallStatCommContent" style="">
					<?
					$walls_page_mess = mysql_query( "SELECT id FROM walls WHERE to_user = '" . $wall_user['id'] . "'" );
					if ( mysql_num_rows( $walls_page_mess ) > 0 ) {
						
						echo navigation( 10, ( int ) $_GET['page'], mysql_num_rows( $walls_page_mess ), 'id' . $wall_user['id'] . '&p=' );

						$kolvo = 10;
						$all = mysql_num_rows( $walls_page_mess );
						$allpage = ceil( $all / $kolvo );
						$this_page = ( isset( $_GET['page'] ) ) ? intval( $_GET['page'] ) : 1 ;
						if ( $this_page < 1 ) $this_page = 1;
						if ( $this_page > $allpage ) $this_page = $allpage;
						$start = $this_page * $kolvo - $kolvo;
						if ( $start == -$kolvo ) { $start = 1; }

						$walls_user_mess = mysql_query( "SELECT * FROM walls WHERE to_user = '" . $wall_user['id'] . "' ORDER BY date DESC LIMIT $start,$kolvo" );
						while ( $walls_user_mess_row = mysql_fetch_array( $walls_user_mess ) ) {
							$wuser = mysql_fetch_array( mysql_query( "SELECT id, avatar, username FROM user WHERE id = '" . $walls_user_mess_row['from_user'] . "' LIMIT 1" ) );
							$month = array( 'янв', 'фев', 'мар', 'апр', 'май', 'июн', 'июл', 'авг', 'сен', 'окт', 'ноя', 'дек' );
							$walls_time = $walls_user_mess_row['date'];
							$walls_time = explode( ' ', $walls_time );
							$walls_time_date = explode( '-', $walls_time[0] );
							$walls_time_min = explode( ':', $walls_time[1] );

							if ( $walls_time_date[2] . '.' . $walls_time_date[1] . '.' . $walls_time_date[0] == date( 'd.m.Y', time() ) ) {
								$mess_time = 'сегодня в ' . $walls_time_min[0] . ':' . $walls_time_min[1];
							} else
							if ( $walls_time_date[2] . '.' . $walls_time_date[1] . '.' . $walls_time_date[0] == date( 'd.m.Y', time() - 86400 ) ) {
								$mess_time = 'вчера в ' . $walls_time_min[0] . ':' . $walls_time_min[1];
							} else {
								$mess_time = ( int ) $walls_time_date[2] . ' ' . $month[( int ) $walls_time_date[1] - 1] . ' ' . $walls_time_date[0] . ' в ' . $walls_time_min[0] . ':' . $walls_time_min[1];
							}

							if ( $walls_user_mess_row['to_user'] == $_SESSION['iduser'] or $config_user['account'] == 5 ) {
								$btn_del_walls = '<a href="#" onclick="walls.MsgDel(' . $walls_user_mess_row['id'] . '); return false;" class="walls_mess_del" id="del_' . $walls_user_mess_row['id'] . '" ><i class="fa fa-times" aria-hidden="true"></i> удалить</a>';
							} else {
								$btn_del_walls = '';
							}
							?>
							<script>
								function LikeWalllComm<?=$walls_user_mess_row['id']?>(e) {
									$.post('ajax.php?func=LikeWalllComm', {
										id: e,
										comm: <?=$walls_user_mess_row['id']?>
									}, function(data) {
										if (data == 1) {
											Page.Go(window.location.href);
										} else {
											$('.like_js<?=$walls_user_mess_row['id']?>').fadeIn(500).html(data);
											setTimeout(function() {
												$('.like_js<?=$walls_user_mess_row['id']?>').fadeOut(300).html('&nbsp;');
											}, 7000);
										}
									});
								}

								function DizlikeWallComm<?=$walls_user_mess_row['id']?>(e) {
									$.post('ajax.php?func=DizlikeWallComm', {
										id: e,
										comm: <?=$walls_user_mess_row['id']?>
									}, function(data) {
										if (data == 1) {
											Page.Go(window.location.href);
										} else {
											$('.like_js<?=$walls_user_mess_row['id']?>').fadeIn(500).html(data);
											setTimeout(function() {
												$('.like_js<?=$walls_user_mess_row['id']?>').fadeOut(300).html('&nbsp;');
											}, 7000);
										}
									});
								}
							</script>
							<div class="wrap_in_mess" >
								<div class="BlockWallComment"><img class="avatarWallComment img-circle" alt="" src="/temp/avatar/<?=$wuser['avatar']?>" /></div>
								<div class="in_mess_text wrap_walls_mess" >
									<div class="us_name_mess">
										<a href="/id<?=$wuser['id']?>" class="WallUsernameComm" target="_blank"><?=$wuser['username']?></a>
										<span class="time_mess"><?=$mess_time?></span>
									</div>
									<?=$walls_user_mess_row['message']?><br>
									<?=$btn_del_walls?>
									<a class="like_comment_wall">
										<span onclick="LikeWalllComm<?=$walls_user_mess_row['id']?>('<?=$wuser['id']?>')" class="like_comment" >
											<i class="fa fa-thumbs-o-up" aria-hidden="true"></i> <?=$walls_user_mess_row['likes']?>
										</span>
										<span onclick="DizlikeWallComm<?=$walls_user_mess_row['id']?>('<?=$wuser['id']?>')" class="dizlike_comment">
											<i class="fa fa-thumbs-o-down" aria-hidden="true"></i> <?=$walls_user_mess_row['dizlikes']?>
										</span>
									</a>
									<div class="error_wall_comment_like like_js<?=$walls_user_mess_row['id']?>" > </div>
								</div>
							</div>
							<?
						}
					} else {
						echo "<div class='title_wall_coment'><i class='fa fa-commenting-o' aria-hidden='true'></i> Еще нет ни одного отзыва</div>";
					}
					?>
				</div>
			</div>
			<?
			if ( isset( $_SESSION['iduser'] ) ) {
				?>
				<script type="text/javascript">
					function show_prev_forumN() {
						var walls_mess = $('#walls_mess').val();
						walls_mess = walls_mess.replace(/\[(\/?)(b|i|u|s|sup|sub)\s*\]/g, '<$1$2>');
						walls_mess = walls_mess.replace(/\n/g, '<br />');
							$('body').Qbox({
								'title': '<i class="fa fa-eye" aria-hidden="true"></i> Предпросмотр',
								'width': 600,
								'height': 300,
								'fadespeed': 300,
								'url': '',
								'param': '',
								'data':'<div class="WallPredShow">'+walls_mess+'</div>'
							});
							return false;
					}
				</script>
				<table class="стабилизатор_формы " >
					<tr>
						<td >
							<div>
								<div class="bbcode_panel_coment стабилизатор_бб">
									<span onclick="walls.ShowSmiles();"><i class="fa fa-smile-o" aria-hidden="true"></i> Смайлы<div class="wrap_smiles" ></div></span>
									<span onclick="qbb('[b]','[/b]','walls_mess')" id="bb_b" >B</span>
									<span onclick="qbb('[i]','[/i]','walls_mess')" id="bb_i" >I</span>
									<span onclick="qbb('[u]','[/u]','walls_mess')" id="bb_u" >U</span>
									<span onclick="qbb('[s]','[/s]','walls_mess')" id="bb_s" >S</span>
									<span onclick="qbb('[sub]','[/sub]','walls_mess')" id="bb_sub" >sub</span>
									<span onclick="qbb('[sup]','[/sup]','walls_mess')" id="bb_sup" >sup</span>
									<span onclick="show_prev_forumN();" class="prev_bbcode" id="prev_bbcode" ><i class="fa fa-eye" aria-hidden="true"></i> Предпросмотр</span>
								</div>
								<textarea class="inputStart_description стабилизатор_ширины1" id="walls_mess" placeholder="ваш комментарий будет виден всем пользователям проекта, в том числе гостям" ></textarea>
							</div>
						</td>
					</tr>
					<tr>
						<td class="" >
							<div class="Блок_кнопок_стенка">
								<span class="кнопка_отправить_правая" onclick="walls.AddWallsMsg(<?=$wall_user['id']?>, $('#walls_mess').val(), '<?=substr( md5( $message_md5 . $wall_user['id'] ), 0, 22 )?>'); return false;" id="sendmsgwalls"><i class="fa fa-comments-o" aria-hidden="true"></i> Добавить комментарий</span>
								
							</div>
							<div class="error_wall_comment" > </div>
						</td>
					</tr>
				</table>
				<?
			}
			?>
		</div><br>
	</article>
</div>

<? } ?>
